projects: List projects with their association status regarding a quality profile

API: sonarcloud.io:sonarqube
Endpoint: /api/qualityprofiles/projects
Response format: application/json
Auth: unknown
Method: GET
Last Status: 404
Latency: 177ms

Description

List projects with their association status regarding a quality profile

Parameters (5)

key (string, query, required)

Quality profile key

p (string, query, optional, default: 1)

1-based page number

ps (string, query, optional, default: 100)

Page size. Must be greater than 0 and less or equal than 500

q (string, query, optional)

Limit search to projects that contain the supplied string.

selected (string, query, optional, default: selected)

Depending on the value, show only selected items (selected=selected), deselected items (selected=deselected), or all items with their selection status (selected=all).

Constraints: {'enum': ['all', 'deselected', 'selected']}

Examples (1)

List projects with their association status regarding a quality profile openapi-spec
curl 'https://sonarcloud.io/api/qualityprofiles/projects?key=AU-Tpxb--iU5OvuD2FLy&p=42&ps=20&q=sonar'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/qualityprofiles/projects",
    params={
        'key': 'AU-Tpxb--iU5OvuD2FLy',
        'p': '42',
        'ps': '20',
        'q': 'sonar',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/qualityprofiles/projects", key="AU-Tpxb--iU5OvuD2FLy", p=42, ps=20, q="sonar")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/qualityprofiles/projects?key=AU-Tpxb--iU5OvuD2FLy&p=42&ps=20&q=sonar");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:08:14.684579 404 177ms
2026-04-15 00:04:42.087196 404 177ms
2026-04-14 00:42:08.924708 404 199ms
2026-04-12 15:35:53.194167 404 141ms
2026-04-10 01:29:16.055080 404 350ms
2026-04-09 01:23:48.585408 404 141ms